# Proyecto ELO239: Aplicación para reserva de horas en gimnasio 3


## Información General
En esta carpeta se encuentra el código fuente correspondiente al desarrollo del proyecto para el ramo
Elo329 Programación orientada a objetos.

El proyecto consiste en una implementación en Java de la gestión de horarios para optimizar el
funcionamiento de la sala de máquinas del gimnasio 3 de la USM.

Se aplican conceptos de programación orientada a objetos y recursos gráficos disponibles por JavaFx


## Compilación y Ejecución

A continuación se presentan los comandos que permiten compilar y ejecutar el programa haciendo
uso del Makefile integrado.

- Compilación: Estando en la Carpeta raíz (proyecto-elo329), la cual contiene los diferentes package con sus respectivos archivos, ejecutar el siguiente comando:
  >`make`

- Ejecución: Estando en la Carpeta raíz (proyecto-elo329), la cual contiene los diferentes package con sus respectivos archivos, ejecutar el siguiente comando:
  >`make run`

- Eliminar archivos .class: Para eliminar los archivos .class generados tras la ejecución del programa, estando en la Carpeta raíz (proyecto-elo329) ejecutar el siguiente comando:
  >`make clean`

#### Consideraciones para compilar y ejecutar el código:
El Makefile contiene 2 variables usadas para la compilación y ejecución de java-fx.

- **JFX-PATH:** En ella se debe indicar el path en donde se encuentra la biblioteca de Java-fx. Esto se puede realizar de 2 formas:

    1. Modificar la variable directamente en el archivo Makefile de la siguiente forma
       >`JFX-PATH = --module-path '/path/to/javafx/lib'`
    2. Al momento de compilar y ejecutar indicar el valor de la variable de la siguiente forma
       >`make JFX-PATH="--module-path '/path/to/javafx/lib'"`

       >`make run JFX-PATH="--module-path '/path/to/javafx/lib'"`

- **JFX-MODULES:** variable que indica los modulos que deben ser añadidos para la ejecucion y compilacion. No es necesario que se modifique.

## Colaboraciones

Integrantes:
+ David Carrasco
+ Julio Maturana
+ Marcelo Fernandez
+ Mariapaz Gomez 

## Tecnologías
***
* [Intellij Idea](https://www.jetbrains.com/idea/) Version 2022.2
* [GitLab](https://gitlab.com/julio.maturana/proyecto-elo329.git) Version 13.12.0
* [Java](https://www.oracle.com/java/technologies/downloads/)
* [JavaFx](https://openjfx.io)
* [SceneBuilder](https://github.com/gluonhq/scenebuilder/wiki/Basic-JavaFX-project-with-Scene-Builder)

